Description

When you use the Satellite 6 UI to attach a subscription to a registered content host the subscription remains invalid until you leave

that specific content host and then visit a different one and come back.

Steps to reproduce:

1) register 2 different systems without an activation key and ensure that it is in an invalid subscription state

2) Login to the webui, select org and find system just registered

3) Try to add a subscription (RHEL) and get the system from RED/GREY to GREEN, not that you still get "Invalid"

4) Leave that Content Host's details page and view the 2nd system you registered in step 1

5) Go back to the original system and you should see it in the 'green' status

Associated revisions

Revision 0581429e - 06/12/2014 10:06 AM - David Davis

Fixes #6175 BZ1102951: Worked on updating content hosts details

Fixed a bug where content host details weren't be updated after adding or

removing a subscription. The status would still indicate invalid/valid

(respectively). I had to use $parent here as updating $scope.contentHost for

some reason did not update the webpage.

Revision 6ffdc265 - 06/12/2014 02:06 PM - David Davis

Fixes #6175 BZ1102951: Worked on updating content hosts details

Fixed a bug where content host details weren't be updated after adding or

removing a subscription. The status would still indicate invalid/valid

(respectively). I had to use $parent here as updating $scope.contentHost for

some reason did not update the webpage.

Revision e9575b6f - 06/13/2014 10:46 AM - David Davis

Merge pull request #4254 from daviddavis/update-system-info-subs

Fixes #6175 - Update content host info after adding/removing sub

Revision a910ae61 - 06/13/2014 02:46 PM - David Davis

Merge pull request #4254 from daviddavis/update-system-info-subs

Fixes #6175 - Update content host info after adding/removing sub

Revision 958c422f - 08/11/2014 12:25 PM - David Davis
Fixes #6175 - Handle new status icon that was added

In the following commit we added a new status icon but didn't check to make

sure that it was properly refreshed so #6175 was reopened to deal with this.

https://github.com/Katello/katello/commit/7e86b53e#diff-8d1fe504fb4c8c0ff058edda520089f9R17

Revision 9c47ad09 - 08/11/2014 12:25 PM - David Davis

Fixes #6175 - Handle new status icon that was added

In the following commit we added a new status icon but didn't check to make

sure that it was properly refreshed so #6175 was reopened to deal with this.

https://github.com/Katello/katello/commit/7e86b53e#diff-8d1fe504fb4c8c0ff058edda520089f9R17

Revision c5e9d61c - 08/11/2014 05:13 PM - David Davis

Merge pull request #4559 from daviddavis/temp/20140811122150

Fixes #6175 - Handle new status icon that was added

Revision 1d110cb5 - 08/11/2014 05:13 PM - David Davis

Merge pull request #4559 from daviddavis/temp/20140811122150

Fixes #6175 - Handle new status icon that was added

History

#1 - 06/11/2014 09:33 PM - David Davis

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1102951

#2 - 06/11/2014 09:35 PM - David Davis

- Status changed from New to Assigned

#3 - 06/11/2014 10:36 PM - David Davis

https://github.com/Katello/katello/pull/4254

#4 - 06/13/2014 02:52 PM - David Davis

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:6ffdc265e9d0062d74aa27ef41e6a17dc385c2dc.

#5 - 06/13/2014 11:29 PM - Eric Helms

- Triaged changed from No to Yes

#6 - 08/11/2014 12:21 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/4559 added

#7 - 08/11/2014 12:30 PM - David Davis

- Status changed from Closed to Assigned

- Target version changed from 45 to 54

#8 - 08/11/2014 05:13 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

#9 - 08/11/2014 06:01 PM - David Davis

- Status changed from Ready For Testing to Closed

Applied in changeset katello|958c422f315a402d5e5ecf5da89e6cbdfa92794d.

#10 - 08/22/2014 08:34 AM - Eric Helms
https://github.com/Katello/katello/commit/7e86b53e#diff-8d1fe504fb4c8c0ff058edda520089f9R17
https://github.com/Katello/katello/commit/7e86b53e#diff-8d1fe504fb4c8c0ff058edda520089f9R17
https://github.com/Katello/katello/pull/4254
https://projects.theforeman.org/projects/katello/repository/katello/revisions/958c422f315a402d5e5ecf5da89e6cbdfa92794d


- translation missing: en.field_release set to 13
